import { Injector, Type } from '@angular/core';
import { NodeViewProps, NodeViewRenderer, NodeViewRendererOptions } from '@tiptap/core';
import type { Decoration } from 'prosemirror-view';
import type { Node as ProseMirrorNode } from 'prosemirror-model';
import * as i0 from "@angular/core";
export declare class AngularNodeViewComponent implements NodeViewProps {
    editor: NodeViewProps['editor'];
    node: NodeViewProps['node'];
    decorations: NodeViewProps['decorations'];
    selected: NodeViewProps['selected'];
    extension: NodeViewProps['extension'];
    getPos: NodeViewProps['getPos'];
    updateAttributes: NodeViewProps['updateAttributes'];
    deleteNode: NodeViewProps['deleteNode'];
    static ɵfac: i0.ɵɵFactoryDeclaration<AngularNodeViewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AngularNodeViewComponent, "ng-component", never, { "editor": "editor"; "node": "node"; "decorations": "decorations"; "selected": "selected"; "extension": "extension"; "getPos": "getPos"; "updateAttributes": "updateAttributes"; "deleteNode": "deleteNode"; }, {}, never, never>;
}
interface AngularNodeViewRendererOptions extends NodeViewRendererOptions {
    update?: ((node: ProseMirrorNode, decorations: Decoration[]) => boolean) | null;
    injector: Injector;
}
export declare const AngularNodeViewRenderer: (component: Type<AngularNodeViewComponent>, options: Partial<AngularNodeViewRendererOptions>) => NodeViewRenderer;
export {};
